Subject: Re: [kictanet] Day 1: Debate on the Independent Communications Commission of Kenya Bill 2010
From: Wamuyu Gatheru <[email-masked]>
To: Catherine Adeya <[email-masked]>
Date: Mon, 14 Feb 2011 07:56:49 -0800

The Constitution, to my recollection, refers to only one media  
regulatory body. So which is it - CCK or Media Council?

More generally, I noted that while the media debate was going on here,  
the media players had their own discussion. Is there a likelihood of  
the same happening again on the CCK? Does it matter?

-- 
Soko ID Co. Ltd
Tel: +254 (0)721 468699
http://www.soko-id.co.ke/

Soko ID is an innovative company that supports public organisations  
and promotes the Kenyan heritage on the internet.

Quoting Catherine Adeya <[email-masked]>:

> Thanks Grace (and Mureithi by extension),
>
> Your contributions are definitely something to mull over. Grace, I understand
> your concern though I dare add that I would rather we do not delve into
> definitional issues, rather we emphasize (like you do) that we need more
> specificity in the Bill rather than generalities which could cause confusion.
> However, your contributions are well noted. Allow me to avoid giving  
> my opinion
> too much.
>
> Nyaki
>
>
>
>
>
> ________________________________
> From: Grace Githaiga <[email-masked]>
> To: [email-masked]
> Cc: [email-masked]
> Sent: Mon, February 14, 2011 5:34:36 PM
> Subject: Re: [kictanet] Day 1: Debate on the Independent Communications
> Commission of Kenya Bill 2010
>
>  Dear Nyaki
>
> Mureithi has raised important concerns but I would like to restate  
> that there is
> need for a policy framework that informs this bill. Just like  
> Walubengo raised
> when we were discussing the media bill, the need for a policy is  
> important for
> such a process.
>
> In regard to the objects, I would like to say that (c)..sets media
> standards...as required by section 34 of the Constitution. In as much as the
> bill wants to suggest that CCK is the envisioned body in the  
> constitution, this
> particular task does not belong to it. This is a function of the  
> Media Council.
> Infact I see a DRAFTING MISCHIEF here where in the purpose, this  
> bill purports
> to amend the Media Act 2007. Again, the Media Bill 2010 will amend  
> the Media Act
> 2007. My recommendations: delete this from the ICCK 2010.
>
> With regard to (d) regulate communications in the public interest... Again we
> might start raising here the definitions of communication. There are  
> varied and
> will touch on content for both print and broadcast media. The regulation here
> should be confined to frequencies.
>
> Rgds
> GG
>
> -----------------------------------------------------------------------------------
>
> If you have the strength to survive, you have the power to succeed.  
> Life is all
> about choices we make depending upon the situation we are in. Go  
> forth and rule
> the World!
>
>
>